Bug 1584645 - Rename of fedora-* services in 90-default.preset
Summary: Rename of fedora-* services in 90-default.preset
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mohan Boddu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1493479
Blocks: 1588192
TreeView+ depends on / blocked
 
Reported: 2018-05-31 11:31 UTC by David Kaspar [Dee'Kej]
Modified: 2018-08-10 12:47 UTC (History)
10 users (show)

Fixed In Version: fedora-release-29-0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-10 12:47:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1493479 None CLOSED Enable fedora-* services from initscripts by default 2019-02-22 15:23:26 UTC

Internal Links: 1493479

Description David Kaspar [Dee'Kej] 2018-05-31 11:31:28 UTC
Hello! :)

In our previous step (BZ #1493479) we were enabling fedora-import-state.service & fedora-readonly.service by default (in /usr/lib/systemd/system-preset/90-default.preset).

Description of problem:
We are changing the names of these fedora-* services in initscripts upstream to not contain the 'fedora' in their names. This will make the initscripts more independent on OS flavour. (No renaming of these services will be necessary in RHEL, CentOS, Mageia, etc.)

Version-Release number of selected component (if applicable):
fedora-release-29-0.4

Additional info:
This is a small change, so I've prepared a pull-request for it. This should make it only in Fedora Rawhide (F29).

It would be nice to sync our releases (I expect to be releasing new version of initscripts in Rawhide next week), though it's not exactly critical.

Comment 1 David Kaspar [Dee'Kej] 2018-05-31 11:32:42 UTC
Pull-request:
https://pagure.io/fedora-release/pull-request/142

Comment 2 David Kaspar [Dee'Kej] 2018-06-01 09:20:58 UTC
Just an FYI, the pull-request has been already merged in upstream. :)

Comment 3 Zbigniew Jędrzejewski-Szmek 2018-08-10 12:47:07 UTC
This has been out for a while.


Note You need to log in before you can comment on or make changes to this bug.